1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getRegistrationPolicies
Viewing docs for Oracle Cloud Infrastructure v5.3.0
published on Friday, Oct 9, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.3.0
published on Friday, Oct 9, 2026 by Pulumi

    This data source provides the list of Registration Policies in Oracle Cloud Infrastructure Data Safe service.

    Retrieves a list of registration policies according to the specified query parameters.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testRegistrationPolicies = oci.datasafe.getRegistrationPolicies({
        compartmentId: compartmentId,
        accessLevel: registrationPolicyAccessLevel,
        compartmentIdInSubtree: registrationPolicyCompartmentIdInSubtree === "true",
        connectionId: testConnection.id,
        connectionType: registrationPolicyConnectionType,
        displayName: registrationPolicyDisplayName,
        enablementLevel: registrationPolicyEnablementLevel,
        registrationPolicyId: testRegistrationPolicy.id,
        resourceId: testResource.id,
        state: registrationPolicyState,
        timeCreatedGreaterThanOrEqualTo: registrationPolicyTimeCreatedGreaterThanOrEqualTo,
        timeCreatedLessThan: registrationPolicyTimeCreatedLessThan,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_registration_policies = oci.datasafe.get_registration_policies(compartment_id=compartment_id,
        access_level=registration_policy_access_level,
        compartment_id_in_subtree=registration_policy_compartment_id_in_subtree == "true",
        connection_id=test_connection["id"],
        connection_type=registration_policy_connection_type,
        display_name=registration_policy_display_name,
        enablement_level=registration_policy_enablement_level,
        registration_policy_id=test_registration_policy["id"],
        resource_id=test_resource["id"],
        state=registration_policy_state,
        time_created_greater_than_or_equal_to=registration_policy_time_created_greater_than_or_equal_to,
        time_created_less_than=registration_policy_time_created_less_than)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetRegistrationPolicies(ctx, &datasafe.GetRegistrationPoliciesArgs{
    			CompartmentId:                   compartmentId,
    			AccessLevel:                     pulumi.StringRef(registrationPolicyAccessLevel),
    			CompartmentIdInSubtree:          pulumi.BoolRef(registrationPolicyCompartmentIdInSubtree),
    			ConnectionId:                    pulumi.StringRef(testConnection.Id),
    			ConnectionType:                  pulumi.StringRef(registrationPolicyConnectionType),
    			DisplayName:                     pulumi.StringRef(registrationPolicyDisplayName),
    			EnablementLevel:                 pulumi.StringRef(registrationPolicyEnablementLevel),
    			RegistrationPolicyId:            pulumi.StringRef(testRegistrationPolicy.Id),
    			ResourceId:                      pulumi.StringRef(testResource.Id),
    			State:                           pulumi.StringRef(registrationPolicyState),
    			TimeCreatedGreaterThanOrEqualTo: pulumi.StringRef(registrationPolicyTimeCreatedGreaterThanOrEqualTo),
    			TimeCreatedLessThan:             pulumi.StringRef(registrationPolicyTimeCreatedLessThan),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testRegistrationPolicies = Oci.DataSafe.GetRegistrationPolicies.Invoke(new()
        {
            CompartmentId = compartmentId,
            AccessLevel = registrationPolicyAccessLevel,
            CompartmentIdInSubtree = registrationPolicyCompartmentIdInSubtree,
            ConnectionId = testConnection.Id,
            ConnectionType = registrationPolicyConnectionType,
            DisplayName = registrationPolicyDisplayName,
            EnablementLevel = registrationPolicyEnablementLevel,
            RegistrationPolicyId = testRegistrationPolicy.Id,
            ResourceId = testResource.Id,
            State = registrationPolicyState,
            TimeCreatedGreaterThanOrEqualTo = registrationPolicyTimeCreatedGreaterThanOrEqualTo,
            TimeCreatedLessThan = registrationPolicyTimeCreatedLessThan,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetRegistrationPoliciesArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testRegistrationPolicies = DataSafeFunctions.getRegistrationPolicies(GetRegistrationPoliciesArgs.builder()
                .compartmentId(compartmentId)
                .accessLevel(registrationPolicyAccessLevel)
                .compartmentIdInSubtree(registrationPolicyCompartmentIdInSubtree)
                .connectionId(testConnection.id())
                .connectionType(registrationPolicyConnectionType)
                .displayName(registrationPolicyDisplayName)
                .enablementLevel(registrationPolicyEnablementLevel)
                .registrationPolicyId(testRegistrationPolicy.id())
                .resourceId(testResource.id())
                .state(registrationPolicyState)
                .timeCreatedGreaterThanOrEqualTo(registrationPolicyTimeCreatedGreaterThanOrEqualTo)
                .timeCreatedLessThan(registrationPolicyTimeCreatedLessThan)
                .build());
    
        }
    }
    
    variables:
      testRegistrationPolicies:
        fn::invoke:
          function: oci:DataSafe:getRegistrationPolicies
          arguments:
            compartmentId: ${compartmentId}
            accessLevel: ${registrationPolicyAccessLevel}
            compartmentIdInSubtree: ${registrationPolicyCompartmentIdInSubtree}
            connectionId: ${testConnection.id}
            connectionType: ${registrationPolicyConnectionType}
            displayName: ${registrationPolicyDisplayName}
            enablementLevel: ${registrationPolicyEnablementLevel}
            registrationPolicyId: ${testRegistrationPolicy.id}
            resourceId: ${testResource.id}
            state: ${registrationPolicyState}
            timeCreatedGreaterThanOrEqualTo: ${registrationPolicyTimeCreatedGreaterThanOrEqualTo}
            timeCreatedLessThan: ${registrationPolicyTimeCreatedLessThan}
    
    pulumi {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_datasafe_getregistrationpolicies" "testRegistrationPolicies" {
      compartment_id                        = compartmentId
      access_level                          = registrationPolicyAccessLevel
      compartment_id_in_subtree             = registrationPolicyCompartmentIdInSubtree
      connection_id                         = testConnection.id
      connection_type                       = registrationPolicyConnectionType
      display_name                          = registrationPolicyDisplayName
      enablement_level                      = registrationPolicyEnablementLevel
      registration_policy_id                = testRegistrationPolicy.id
      resource_id                           = testResource.id
      state                                 = registrationPolicyState
      time_created_greater_than_or_equal_to = registrationPolicyTimeCreatedGreaterThanOrEqualTo
      time_created_less_than                = registrationPolicyTimeCreatedLessThan
    }
    

    Using getRegistrationPolicies

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getRegistrationPolicies(args: GetRegistrationPoliciesArgs, opts?: InvokeOptions): Promise<GetRegistrationPoliciesResult>
    function getRegistrationPoliciesOutput(args: GetRegistrationPoliciesOutputArgs, opts?: InvokeOutputOptions): Output<GetRegistrationPoliciesResult>
    def get_registration_policies(access_level: Optional[str] = None,
                                  compartment_id: Optional[str] = None,
                                  compartment_id_in_subtree: Optional[bool] = None,
                                  connection_id: Optional[str] = None,
                                  connection_type: Optional[str] = None,
                                  display_name: Optional[str] = None,
                                  enablement_level: Optional[str] = None,
                                  filters: Optional[Sequence[GetRegistrationPoliciesFilter]] = None,
                                  registration_policy_id: Optional[str] = None,
                                  resource_id: Optional[str] = None,
                                  state: Optional[str] = None,
                                  time_created_greater_than_or_equal_to: Optional[str] = None,
                                  time_created_less_than: Optional[str] = None,
                                  opts: Optional[InvokeOptions] = None) -> GetRegistrationPoliciesResult
    def get_registration_policies_output(access_level: pulumi.Input[Optional[str]] = None,
                                  compartment_id: pulumi.Input[Optional[str]] = None,
                                  compartment_id_in_subtree: pulumi.Input[Optional[bool]] = None,
                                  connection_id: pulumi.Input[Optional[str]] = None,
                                  connection_type: pulumi.Input[Optional[str]] = None,
                                  display_name: pulumi.Input[Optional[str]] = None,
                                  enablement_level: pulumi.Input[Optional[str]] = None,
                                  filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetRegistrationPoliciesFilterArgs]]]] = None,
                                  registration_policy_id: pulumi.Input[Optional[str]] = None,
                                  resource_id: pulumi.Input[Optional[str]] = None,
                                  state: pulumi.Input[Optional[str]] = None,
                                  time_created_greater_than_or_equal_to: pulumi.Input[Optional[str]] = None,
                                  time_created_less_than: pulumi.Input[Optional[str]] = None,
                                  opts: Optional[InvokeOutputOptions] = None) -> Output[GetRegistrationPoliciesResult]
    func GetRegistrationPolicies(ctx *Context, args *GetRegistrationPoliciesArgs, opts ...InvokeOption) (*GetRegistrationPoliciesResult, error)
    func GetRegistrationPoliciesOutput(ctx *Context, args *GetRegistrationPoliciesOutputArgs, opts ...InvokeOption) GetRegistrationPoliciesResultOutput

    > Note: This function is named GetRegistrationPolicies in the Go SDK.

    public static class GetRegistrationPolicies 
    {
        public static Task<GetRegistrationPoliciesResult> InvokeAsync(GetRegistrationPoliciesArgs args, InvokeOptions? opts = null)
        public static Output<GetRegistrationPoliciesResult> Invoke(GetRegistrationPoliciesInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetRegistrationPoliciesResult> Invoke(GetRegistrationPoliciesInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetRegistrationPoliciesResult> getRegistrationPolicies(GetRegistrationPoliciesArgs args, InvokeOptions options)
    public static Output<GetRegistrationPoliciesResult> getRegistrationPolicies(GetRegistrationPoliciesArgs args, InvokeOptions options)
    public static Output<GetRegistrationPoliciesResult> getRegistrationPolicies(GetRegistrationPoliciesArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getRegistrationPolicies:getRegistrationPolicies
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_registration_policies" "name" {
        # arguments
    }

    The following arguments are supported:

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    AccessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    ConnectionId string
    Filter to return the registration policies matching the specified connection ID.
    ConnectionType string
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    DisplayName string
    A filter to return only resources that match the specified display name.
    EnablementLevel string
    Filter registration policies by resource type.
    Filters List<GetRegistrationPoliciesFilter>
    RegistrationPolicyId string
    Filter to return the registration policy matching the specified OCID.
    ResourceId string
    Filter to return the registration policy matching the specified resource OCID.
    State string
    Filter registration policies by their lifecycle state.
    TimeCreatedGreaterThanOrEqualTo string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    TimeCreatedLessThan string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    AccessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    ConnectionId string
    Filter to return the registration policies matching the specified connection ID.
    ConnectionType string
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    DisplayName string
    A filter to return only resources that match the specified display name.
    EnablementLevel string
    Filter registration policies by resource type.
    Filters []GetRegistrationPoliciesFilter
    RegistrationPolicyId string
    Filter to return the registration policy matching the specified OCID.
    ResourceId string
    Filter to return the registration policy matching the specified resource OCID.
    State string
    Filter registration policies by their lifecycle state.
    TimeCreatedGreaterThanOrEqualTo string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    TimeCreatedLessThan string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartment_id string
    A filter to return only resources that match the specified compartment OCID.
    access_level string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    connection_id string
    Filter to return the registration policies matching the specified connection ID.
    connection_type string
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    display_name string
    A filter to return only resources that match the specified display name.
    enablement_level string
    Filter registration policies by resource type.
    filters list(object)
    registration_policy_id string
    Filter to return the registration policy matching the specified OCID.
    resource_id string
    Filter to return the registration policy matching the specified resource OCID.
    state string
    Filter registration policies by their lifecycle state.
    time_created_greater_than_or_equal_to string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    time_created_less_than string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    accessLevel String
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    connectionId String
    Filter to return the registration policies matching the specified connection ID.
    connectionType String
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    displayName String
    A filter to return only resources that match the specified display name.
    enablementLevel String
    Filter registration policies by resource type.
    filters List<GetRegistrationPoliciesFilter>
    registrationPolicyId String
    Filter to return the registration policy matching the specified OCID.
    resourceId String
    Filter to return the registration policy matching the specified resource OCID.
    state String
    Filter registration policies by their lifecycle state.
    timeCreatedGreaterThanOrEqualTo String

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    timeCreatedLessThan String

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartmentId string
    A filter to return only resources that match the specified compartment OCID.
    accessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    connectionId string
    Filter to return the registration policies matching the specified connection ID.
    connectionType string
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    displayName string
    A filter to return only resources that match the specified display name.
    enablementLevel string
    Filter registration policies by resource type.
    filters GetRegistrationPoliciesFilter[]
    registrationPolicyId string
    Filter to return the registration policy matching the specified OCID.
    resourceId string
    Filter to return the registration policy matching the specified resource OCID.
    state string
    Filter registration policies by their lifecycle state.
    timeCreatedGreaterThanOrEqualTo string

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    timeCreatedLessThan string

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartment_id str
    A filter to return only resources that match the specified compartment OCID.
    access_level str
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    connection_id str
    Filter to return the registration policies matching the specified connection ID.
    connection_type str
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    display_name str
    A filter to return only resources that match the specified display name.
    enablement_level str
    Filter registration policies by resource type.
    filters Sequence[GetRegistrationPoliciesFilter]
    registration_policy_id str
    Filter to return the registration policy matching the specified OCID.
    resource_id str
    Filter to return the registration policy matching the specified resource OCID.
    state str
    Filter registration policies by their lifecycle state.
    time_created_greater_than_or_equal_to str

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    time_created_less_than str

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    accessLevel String
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    connectionId String
    Filter to return the registration policies matching the specified connection ID.
    connectionType String
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    displayName String
    A filter to return only resources that match the specified display name.
    enablementLevel String
    Filter registration policies by resource type.
    filters List<Property Map>
    registrationPolicyId String
    Filter to return the registration policy matching the specified OCID.
    resourceId String
    Filter to return the registration policy matching the specified resource OCID.
    state String
    Filter registration policies by their lifecycle state.
    timeCreatedGreaterThanOrEqualTo String

    A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.

    Example: 2016-12-19T16:39:57.600Z

    timeCreatedLessThan String

    Search for resources that were created before a specific date. Specifying this parameter corresponding timeCreatedLessThan parameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.

    Example: 2016-12-19T16:39:57.600Z

    getRegistrationPolicies Result

    The following output properties are available:

    CompartmentId string
    The OCID for the compartment containing the registration policy.
    Id string
    The provider-assigned unique ID for this managed resource.
    RegistrationPolicyCollections List<GetRegistrationPoliciesRegistrationPolicyCollection>
    The list of registration_policy_collection.
    AccessLevel string
    CompartmentIdInSubtree bool
    ConnectionId string
    ConnectionType string
    The connection type used to connect to the database. Allowed values:

    • PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
    • ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
    DisplayName string
    The display name of the registration policy.
    EnablementLevel string
    The resource type which has been opted in for the registration policy.

    • DATABASE - The registration policy will be opted in at the Container Database level.
    Filters List<GetRegistrationPoliciesFilter>
    RegistrationPolicyId string
    ResourceId string
    The OCID of the resource used in the registration policy.
    State string
    The lifecycle state of the registration policy.

    • CREATING - The registration policy is getting created.
    • ACTIVE - The registration policy has been successfully created.
    • UPDATING - The registration policy is getting updated.
    • NEEDS_ATTENTION - The registration policy needs attention.
    • FAILED - The registration policy creation or update has failed.
    • DELETING - The registration policy is getting deleted.
    TimeCreatedGreaterThanOrEqualTo string
    TimeCreatedLessThan string
    CompartmentId string
    The OCID for the compartment containing the registration policy.
    Id string
    The provider-assigned unique ID for this managed resource.
    RegistrationPolicyCollections []GetRegistrationPoliciesRegistrationPolicyCollection
    The list of registration_policy_collection.
    AccessLevel string
    CompartmentIdInSubtree bool
    ConnectionId string
    ConnectionType string
    The connection type used to connect to the database. Allowed values:

    • PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
    • ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
    DisplayName string
    The display name of the registration policy.
    EnablementLevel string
    The resource type which has been opted in for the registration policy.

    • DATABASE - The registration policy will be opted in at the Container Database level.
    Filters []GetRegistrationPoliciesFilter
    RegistrationPolicyId string
    ResourceId string
    The OCID of the resource used in the registration policy.
    State string
    The lifecycle state of the registration policy.

    • CREATING - The registration policy is getting created.
    • ACTIVE - The registration policy has been successfully created.
    • UPDATING - The registration policy is getting updated.
    • NEEDS_ATTENTION - The registration policy needs attention.
    • FAILED - The registration policy creation or update has failed.
    • DELETING - The registration policy is getting deleted.
    TimeCreatedGreaterThanOrEqualTo string
    TimeCreatedLessThan string
    compartment_id string
    The OCID for the compartment containing the registration policy.
    id string
    The provider-assigned unique ID for this managed resource.
    registration_policy_collections list(object)
    The list of registration_policy_collection.
    access_level string
    compartment_id_in_subtree bool
    connection_id string
    connection_type string
    The connection type used to connect to the database. Allowed values:

    • PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
    • ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
    display_name string
    The display name of the registration policy.
    enablement_level string
    The resource type which has been opted in for the registration policy.

    • DATABASE - The registration policy will be opted in at the Container Database level.
    filters list(object)
    registration_policy_id string
    resource_id string
    The OCID of the resource used in the registration policy.
    state string
    The lifecycle state of the registration policy.

    • CREATING - The registration policy is getting created.
    • ACTIVE - The registration policy has been successfully created.
    • UPDATING - The registration policy is getting updated.
    • NEEDS_ATTENTION - The registration policy needs attention.
    • FAILED - The registration policy creation or update has failed.
    • DELETING - The registration policy is getting deleted.
    time_created_greater_than_or_equal_to string
    time_created_less_than string
    compartmentId String
    The OCID for the compartment containing the registration policy.
    id String
    The provider-assigned unique ID for this managed resource.
    registrationPolicyCollections List<GetRegistrationPoliciesRegistrationPolicyCollection>
    The list of registration_policy_collection.
    accessLevel String
    compartmentIdInSubtree Boolean
    connectionId String
    connectionType String
    The connection type used to connect to the database. Allowed values:

    • PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
    • ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
    displayName String
    The display name of the registration policy.
    enablementLevel String
    The resource type which has been opted in for the registration policy.

    • DATABASE - The registration policy will be opted in at the Container Database level.
    filters List<GetRegistrationPoliciesFilter>
    registrationPolicyId String
    resourceId String
    The OCID of the resource used in the registration policy.
    state String
    The lifecycle state of the registration policy.

    • CREATING - The registration policy is getting created.
    • ACTIVE - The registration policy has been successfully created.
    • UPDATING - The registration policy is getting updated.
    • NEEDS_ATTENTION - The registration policy needs attention.
    • FAILED - The registration policy creation or update has failed.
    • DELETING - The registration policy is getting deleted.
    timeCreatedGreaterThanOrEqualTo String
    timeCreatedLessThan String
    compartmentId string
    The OCID for the compartment containing the registration policy.
    id string
    The provider-assigned unique ID for this managed resource.
    registrationPolicyCollections GetRegistrationPoliciesRegistrationPolicyCollection[]
    The list of registration_policy_collection.
    accessLevel string
    compartmentIdInSubtree boolean
    connectionId string
    connectionType string
    The connection type used to connect to the database. Allowed values:

    • PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
    • ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
    displayName string
    The display name of the registration policy.
    enablementLevel string
    The resource type which has been opted in for the registration policy.

    • DATABASE - The registration policy will be opted in at the Container Database level.
    filters GetRegistrationPoliciesFilter[]
    registrationPolicyId string
    resourceId string
    The OCID of the resource used in the registration policy.
    state string
    The lifecycle state of the registration policy.

    • CREATING - The registration policy is getting created.
    • ACTIVE - The registration policy has been successfully created.
    • UPDATING - The registration policy is getting updated.
    • NEEDS_ATTENTION - The registration policy needs attention.
    • FAILED - The registration policy creation or update has failed.
    • DELETING - The registration policy is getting deleted.
    timeCreatedGreaterThanOrEqualTo string
    timeCreatedLessThan string
    compartment_id str
    The OCID for the compartment containing the registration policy.
    id str
    The provider-assigned unique ID for this managed resource.
    registration_policy_collections Sequence[GetRegistrationPoliciesRegistrationPolicyCollection]
    The list of registration_policy_collection.
    access_level str
    compartment_id_in_subtree bool
    connection_id str
    connection_type str
    The connection type used to connect to the database. Allowed values:

    • PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
    • ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
    display_name str
    The display name of the registration policy.
    enablement_level str
    The resource type which has been opted in for the registration policy.

    • DATABASE - The registration policy will be opted in at the Container Database level.
    filters Sequence[GetRegistrationPoliciesFilter]
    registration_policy_id str
    resource_id str
    The OCID of the resource used in the registration policy.
    state str
    The lifecycle state of the registration policy.

    • CREATING - The registration policy is getting created.
    • ACTIVE - The registration policy has been successfully created.
    • UPDATING - The registration policy is getting updated.
    • NEEDS_ATTENTION - The registration policy needs attention.
    • FAILED - The registration policy creation or update has failed.
    • DELETING - The registration policy is getting deleted.
    time_created_greater_than_or_equal_to str
    time_created_less_than str
    compartmentId String
    The OCID for the compartment containing the registration policy.
    id String
    The provider-assigned unique ID for this managed resource.
    registrationPolicyCollections List<Property Map>
    The list of registration_policy_collection.
    accessLevel String
    compartmentIdInSubtree Boolean
    connectionId String
    connectionType String
    The connection type used to connect to the database. Allowed values:

    • PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
    • ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
    displayName String
    The display name of the registration policy.
    enablementLevel String
    The resource type which has been opted in for the registration policy.

    • DATABASE - The registration policy will be opted in at the Container Database level.
    filters List<Property Map>
    registrationPolicyId String
    resourceId String
    The OCID of the resource used in the registration policy.
    state String
    The lifecycle state of the registration policy.

    • CREATING - The registration policy is getting created.
    • ACTIVE - The registration policy has been successfully created.
    • UPDATING - The registration policy is getting updated.
    • NEEDS_ATTENTION - The registration policy needs attention.
    • FAILED - The registration policy creation or update has failed.
    • DELETING - The registration policy is getting deleted.
    timeCreatedGreaterThanOrEqualTo String
    timeCreatedLessThan String

    Supporting Types

    GetRegistrationPoliciesFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetRegistrationPoliciesRegistrationPolicyCollection

    GetRegistrationPoliciesRegistrationPolicyCollectionItem

    CanOverrideFeatures bool
    Indicates whether features will be overridden.
    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    ConnectionOptions List<GetRegistrationPoliciesRegistrationPolicyCollectionItemConnectionOption>
    Types of connection supported by Data Safe.
    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    Description string
    A description of the registration policy.
    DisplayName string
    A filter to return only resources that match the specified display name.
    EnablementLevel string
    Filter registration policies by resource type.
    Features List<string>
    The Data Safe features granted to the databases registering under the registration policy.
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    Id string
    The OCID of the registration policy.
    LifecycleStateDetails string
    Details about the lifecycle state of the registration policy
    OpcDryRun bool
    ResourceId string
    Filter to return the registration policy matching the specified resource OCID.
    State string
    Filter registration policies by their lifecycle state.
    SystemTags Dictionary<string, string>
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"orcl-cloud.free-tier-retained": "true"}
    TimeCreated string
    The date and time when the registration policy was created.
    TimeUpdated string
    The date and time when the registration policy was last updated.
    XClusterId string
    CanOverrideFeatures bool
    Indicates whether features will be overridden.
    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    ConnectionOptions []GetRegistrationPoliciesRegistrationPolicyCollectionItemConnectionOption
    Types of connection supported by Data Safe.
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    Description string
    A description of the registration policy.
    DisplayName string
    A filter to return only resources that match the specified display name.
    EnablementLevel string
    Filter registration policies by resource type.
    Features []string
    The Data Safe features granted to the databases registering under the registration policy.
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    Id string
    The OCID of the registration policy.
    LifecycleStateDetails string
    Details about the lifecycle state of the registration policy
    OpcDryRun bool
    ResourceId string
    Filter to return the registration policy matching the specified resource OCID.
    State string
    Filter registration policies by their lifecycle state.
    SystemTags map[string]string
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"orcl-cloud.free-tier-retained": "true"}
    TimeCreated string
    The date and time when the registration policy was created.
    TimeUpdated string
    The date and time when the registration policy was last updated.
    XClusterId string
    can_override_features bool
    Indicates whether features will be overridden.
    compartment_id string
    A filter to return only resources that match the specified compartment OCID.
    connection_options list(object)
    Types of connection supported by Data Safe.
    defined_tags map(string)
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description string
    A description of the registration policy.
    display_name string
    A filter to return only resources that match the specified display name.
    enablement_level string
    Filter registration policies by resource type.
    features list(string)
    The Data Safe features granted to the databases registering under the registration policy.
    freeform_tags map(string)
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id string
    The OCID of the registration policy.
    lifecycle_state_details string
    Details about the lifecycle state of the registration policy
    opc_dry_run bool
    resource_id string
    Filter to return the registration policy matching the specified resource OCID.
    state string
    Filter registration policies by their lifecycle state.
    system_tags map(string)
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"orcl-cloud.free-tier-retained": "true"}
    time_created string
    The date and time when the registration policy was created.
    time_updated string
    The date and time when the registration policy was last updated.
    x_cluster_id string
    canOverrideFeatures Boolean
    Indicates whether features will be overridden.
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    connectionOptions List<GetRegistrationPoliciesRegistrationPolicyCollectionItemConnectionOption>
    Types of connection supported by Data Safe.
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description String
    A description of the registration policy.
    displayName String
    A filter to return only resources that match the specified display name.
    enablementLevel String
    Filter registration policies by resource type.
    features List<String>
    The Data Safe features granted to the databases registering under the registration policy.
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id String
    The OCID of the registration policy.
    lifecycleStateDetails String
    Details about the lifecycle state of the registration policy
    opcDryRun Boolean
    resourceId String
    Filter to return the registration policy matching the specified resource OCID.
    state String
    Filter registration policies by their lifecycle state.
    systemTags Map<String,String>
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"orcl-cloud.free-tier-retained": "true"}
    timeCreated String
    The date and time when the registration policy was created.
    timeUpdated String
    The date and time when the registration policy was last updated.
    xClusterId String
    canOverrideFeatures boolean
    Indicates whether features will be overridden.
    compartmentId string
    A filter to return only resources that match the specified compartment OCID.
    connectionOptions GetRegistrationPoliciesRegistrationPolicyCollectionItemConnectionOption[]
    Types of connection supported by Data Safe.
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description string
    A description of the registration policy.
    displayName string
    A filter to return only resources that match the specified display name.
    enablementLevel string
    Filter registration policies by resource type.
    features string[]
    The Data Safe features granted to the databases registering under the registration policy.
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id string
    The OCID of the registration policy.
    lifecycleStateDetails string
    Details about the lifecycle state of the registration policy
    opcDryRun boolean
    resourceId string
    Filter to return the registration policy matching the specified resource OCID.
    state string
    Filter registration policies by their lifecycle state.
    systemTags {[key: string]: string}
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"orcl-cloud.free-tier-retained": "true"}
    timeCreated string
    The date and time when the registration policy was created.
    timeUpdated string
    The date and time when the registration policy was last updated.
    xClusterId string
    can_override_features bool
    Indicates whether features will be overridden.
    compartment_id str
    A filter to return only resources that match the specified compartment OCID.
    connection_options Sequence[GetRegistrationPoliciesRegistrationPolicyCollectionItemConnectionOption]
    Types of connection supported by Data Safe.
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description str
    A description of the registration policy.
    display_name str
    A filter to return only resources that match the specified display name.
    enablement_level str
    Filter registration policies by resource type.
    features Sequence[str]
    The Data Safe features granted to the databases registering under the registration policy.
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id str
    The OCID of the registration policy.
    lifecycle_state_details str
    Details about the lifecycle state of the registration policy
    opc_dry_run bool
    resource_id str
    Filter to return the registration policy matching the specified resource OCID.
    state str
    Filter registration policies by their lifecycle state.
    system_tags Mapping[str, str]
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"orcl-cloud.free-tier-retained": "true"}
    time_created str
    The date and time when the registration policy was created.
    time_updated str
    The date and time when the registration policy was last updated.
    x_cluster_id str
    canOverrideFeatures Boolean
    Indicates whether features will be overridden.
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    connectionOptions List<Property Map>
    Types of connection supported by Data Safe.
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example: {"Operations.CostCenter": "42"}
    description String
    A description of the registration policy.
    displayName String
    A filter to return only resources that match the specified display name.
    enablementLevel String
    Filter registration policies by resource type.
    features List<String>
    The Data Safe features granted to the databases registering under the registration policy.
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example: {"Department": "Finance"}
    id String
    The OCID of the registration policy.
    lifecycleStateDetails String
    Details about the lifecycle state of the registration policy
    opcDryRun Boolean
    resourceId String
    Filter to return the registration policy matching the specified resource OCID.
    state String
    Filter registration policies by their lifecycle state.
    systemTags Map<String>
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {"orcl-cloud.free-tier-retained": "true"}
    timeCreated String
    The date and time when the registration policy was created.
    timeUpdated String
    The date and time when the registration policy was last updated.
    xClusterId String

    GetRegistrationPoliciesRegistrationPolicyCollectionItemConnectionOption

    ConnectionType string
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    Identifiers List<string>
    List of OCIDs required to establish the connection.

    • For PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s).
    • For ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
    ConnectionType string
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    Identifiers []string
    List of OCIDs required to establish the connection.

    • For PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s).
    • For ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
    connection_type string
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    identifiers list(string)
    List of OCIDs required to establish the connection.

    • For PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s).
    • For ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
    connectionType String
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    identifiers List<String>
    List of OCIDs required to establish the connection.

    • For PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s).
    • For ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
    connectionType string
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    identifiers string[]
    List of OCIDs required to establish the connection.

    • For PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s).
    • For ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
    connection_type str
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    identifiers Sequence[str]
    List of OCIDs required to establish the connection.

    • For PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s).
    • For ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
    connectionType String
    Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
    identifiers List<String>
    List of OCIDs required to establish the connection.

    • For PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s).
    • For ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.3.0
    published on Friday, Oct 9, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial